IF EXISTS
(
    SELECT *
    FROM sys.views
    WHERE object_id = OBJECT_ID(N'[dbo].V_EST_PROD_PDV_TENTACLE')
)
    DROP VIEW [dbo].[V_EST_PROD_PDV_TENTACLE];
GO

CREATE VIEW [DBO].[V_EST_PROD_PDV_TENTACLE]
AS
     SELECT EST_PROD.CD_EMP     ,
		  EST_PROD.CD_FILIAL  ,
		  EST_PROD.CD_PROD    ,
		  EST_PROD.DS_PROD    ,
		  EST_PROD.DS_USUAL   ,
		  EST_PROD.PERC_COMIS ,
		  EST_PROD.PERC_DESC  ,
		  ISNULL(EST_PROD.PLU_PROD,0)  AS  PLU_PROD,
		  EST_PROD.CD_UN_VD   ,
		  EST_PROD.PERC_DESC_FIX ,
		  0 AS VLR_PMC ,
		  EST_PROD.CTR_LOTE ,
		  EST_PROD.PERC_DESC_FIDEL ,
		  EST_PROD.FLAG_PROD_KIT   ,
		  ISNULL(A.CD_ARV_MERC_LINHA, 0) AS CD_ARV_MERC_LINHA,
		  EST_PROD.CD_FABRIC ,
		  EST_PROD.CTR_PMC ,
		  EST_PROD.FLAG_ALTERAR_PRECO ,
		  EST_PROD.FLAG_REQUER_RECEIT ,
		  EST_PROD.FLAG_VD_CALL_CENTER ,
		  EST_PROD.PERC_DESC_FIDEL_MAX ,
		  EST_PROD.PERC_DESC_LIMITE ,
		  0 AS ALT_SIST ,
		  0 AS REG_ALTERADO ,
		  EST_PROD.FLAG_PRODUTO_CONTROLADO ,
		  EST_PROD.FLAG_NAO_APARECER_ESTATISTICA_COMPRA_CLIENTE ,
		  ISNULL(EST_PROD.NR_REG_MS, '') AS NR_REG_MS,
		  EST_PROD.CD_TP_RECEITA ,
		  ISNULL(EST_PROD.CD_COR_RECEITA, 0) AS CD_COR_RECEITA,
		  ISNULL(GLB_OPER_CEL.NR_OPER_CEL, 0) AS NR_OPER_CEL ,
		  EST_PROD.FLAG_VERBA_DESCON ,
		  EST_PROD.PROD_USO_CONT ,
		  EST_PROD.NR_NCM AS NCM_PROD ,
		  ISNULL(EST_PROD.FLAG_DIRETO_PDV,0) FLAG_DIRETO_PDV ,
		  EST_PROD.ORIGEM_PRODUTO ,
		  EST_PROD.STS_PROD ,
		  EST_PROD.CONTROLE_SNGPC ,
		  ISNULL(EST_PROD.NR_CEST, '') NR_CEST,
		  ISNULL(EST_PROD.nr_serv, '') AS NR_SERV,
		  EST_PROD.CD_MC ,
		  --ISNULL(EST_PROD_MOTIVO_STS.DS_MOTIVO_STS,' ') DS_MOTIVO_STS,
		  ISNULL(EST_PROD.CD_TISS,0)  CD_TISS,
		  EST_PROD.QTDE_LIMITE_VENDA QTDE_LIMITE_VENDA,
		  GETDATE() AS DT_HR_CARGA
     FROM
          EST_PROD
          LEFT JOIN EST_PROD_EST_ARV_MERCADOLOGICA A
          ON EST_PROD.CD_EMP = A.CD_EMP
             AND EST_PROD.CD_PROD = A.CD_PROD
          LEFT OUTER JOIN GLB_OPER_CEL
          ON EST_PROD.CD_EMP = GLB_OPER_CEL.CD_EMP
             AND EST_PROD.CD_PROD = GLB_OPER_CEL.CD_PROD
          LEFT JOIN EST_PROD_FABRIC B
          ON EST_PROD.CD_FABRIC = B.CD_FABRIC
          LEFT JOIN GLB_COR_RECEITA C
          ON EST_PROD.CD_COR_RECEITA = C.CD_COR
          LEFT JOIN GLB_TP_RECEITA D
          ON EST_PROD.CD_TP_RECEITA = D.CD_TP_RECEITA
		  LEFT JOIN EST_PROD_MOTIVO_STS ON
	 EST_PROD_MOTIVO_STS.CD_MOTIVO_STS = EST_PROD.CD_MOTIVO_STS
	WHERE EST_PROD.CD_EMP = 1
GO